> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shop payment method



## OpenAPI

````yaml patch /{shopId}/paymentmethods/
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/paymentmethods/:
    patch:
      tags:
        - Shops
        - Integrations
      summary: Update shop payment method
      description: Update shop payment method
      operationId: updateShopPaymentMethod1
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  bankAccountId:
                    type: string
                    example: 64897ee4d95086ab6c9df16a
                  id:
                    type: string
                    example: 616c5714bc454798c50d7add
              example:
                - bankAccountId: 64897ee4d95086ab6c9df16a
                  id: 616c5714bc454798c50d7add
                - id: 5ee8ada78d362db318828297
                - bankAccountId: 6360fd463e688d79a64be0d1
                  id: 62253a53eb629b0f831614d1
                - bankAccountId: 6360fd463e688d79a64be0d1
                  id: 5ee79950eea46308e8f84868
                - bankAccountId: 6360fb97fc984d7f72612a0b
                  id: 625c396a7a8687194e375d07
            example:
              - bankAccountId: 64897ee4d95086ab6c9df16a
                id: 616c5714bc454798c50d7add
              - id: 5ee8ada78d362db318828297
              - bankAccountId: 6360fd463e688d79a64be0d1
                id: 62253a53eb629b0f831614d1
              - bankAccountId: 6360fd463e688d79a64be0d1
                id: 5ee79950eea46308e8f84868
              - bankAccountId: 6360fb97fc984d7f72612a0b
                id: 625c396a7a8687194e375d07
      responses:
        '200':
          description: ''

````